'use client'
import {createContext} from 'react'
import Image, {StaticImageData} from 'next/image'

export const HeaderContext = createContext<{
  setMenu: (value: boolean) => void
} | null>(null)

export function FragmentTitle(props: {
  text: string
  img: StaticImageData
}) {
  return (
    <h3 className="font-bold flex items-center gap-3 mb-3">
      <Image src={props.img} alt="icon" aria-hidden className="size-8 lg:size-8"/>
      <span>{props.text}</span>
    </h3>
  )
}
